Debian Bug report logs - #709650
ITP: r-cran-spatstat -- GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andreas Tille <tille@debian.org>

Date: Fri, 24 May 2013 18:57:02 UTC

Owned by: Andreas Tille <tille@debian.org>

Severity: wishlist

Fixed in version r-cran-spatstat/1.35-0-1

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#709650; Package wnpp. (Fri, 24 May 2013 18:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 24 May 2013 18:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: r-cran-spatstat -- http://www.komoot.de/
Date: Fri, 24 May 2013 20:56:12 +0200
Package: wnpp
Severity: wishlist
Owner: Andreas Tille <tille@debian.org>

* Package name    : r-cran-spatstat
  Version         : 1.31-2
  Upstream Author : Adrian Baddeley <Adrian.Baddeley@csiro.au>
* URL             : http://cran.r-project.org/web/packages/spatstat/
* License         : GPL
  Programming Lang: R
  Description     : GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests
 A GNU R package for analysing spatial data, mainly Spatial Point Patterns,
 including multitype/marked points and spatial covariates, in any
 two-dimensional spatial  region.  Contains functions for plotting spatial
 data, exploratory data analysis, model-fitting, simulation, spatial sampling,
 model diagnostics, and formal inference. Data types include point patterns,
 line segment patterns, spatial windows, and pixel images. Point process
 models can be fitted to point pattern data.  Cluster type models are fitted
 by the method of minimum contrast. Very general Gibbs point process models
 can be fitted to point pattern data using a function ppm similar to lm or glm.
 Models may include dependence on covariates, interpoint interaction and
 dependence on marks. Fitted models can be simulated automatically.  Also
 provides facilities for formal inference (such as chi-squared tests) and model
 diagnostics (including simulation envelopes, residuals, residual plots and Q-Q
 plots).

The package is maintained in Debian Science team and available read for upload at

   svn://svn.debian.org/debian-science/packages/R/r-cran-spatstat/trunk/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#709650; Package wnpp. (Fri, 24 May 2013 19:30:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Fri, 24 May 2013 19:30:11 GMT) Full text and rfc822 format available.

Message #10 received at 709650@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 709650@bugs.debian.org
Subject: Re: ITP: r-cran-spatstat -- GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests
Date: Fri, 24 May 2013 21:27:40 +0200
Sorry, I missed to fix the title - there was just a wron string in my
cut-n-paste buffer.  It is as you can read below:

   GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests

ITP will be closed soon anyway

        Andreas.

On Fri, May 24, 2013 at 08:56:12PM +0200, Andreas Tille wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Andreas Tille <tille@debian.org>
> 
> * Package name    : r-cran-spatstat
>   Version         : 1.31-2
>   Upstream Author : Adrian Baddeley <Adrian.Baddeley@csiro.au>
> * URL             : http://cran.r-project.org/web/packages/spatstat/
> * License         : GPL
>   Programming Lang: R
>   Description     : GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests
>  A GNU R package for analysing spatial data, mainly Spatial Point Patterns,
>  including multitype/marked points and spatial covariates, in any
>  two-dimensional spatial  region.  Contains functions for plotting spatial
>  data, exploratory data analysis, model-fitting, simulation, spatial sampling,
>  model diagnostics, and formal inference. Data types include point patterns,
>  line segment patterns, spatial windows, and pixel images. Point process
>  models can be fitted to point pattern data.  Cluster type models are fitted
>  by the method of minimum contrast. Very general Gibbs point process models
>  can be fitted to point pattern data using a function ppm similar to lm or glm.
>  Models may include dependence on covariates, interpoint interaction and
>  dependence on marks. Fitted models can be simulated automatically.  Also
>  provides facilities for formal inference (such as chi-squared tests) and model
>  diagnostics (including simulation envelopes, residuals, residual plots and Q-Q
>  plots).
> 
> The package is maintained in Debian Science team and available read for upload at
> 
>    svn://svn.debian.org/debian-science/packages/R/r-cran-spatstat/trunk/
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Tille <tille@debian.org>:
Bug#709650; Package wnpp. (Sat, 25 May 2013 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Tille <tille@debian.org>. (Sat, 25 May 2013 07:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 709650@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Adrian Baddeley <Adrian.Baddeley@csiro.au>
Cc: Debian Science List <debian-science@lists.debian.org>
Subject: Demo data sets in spatstat R package
Date: Sat, 25 May 2013 09:41:39 +0200
Hi Adrian,

I would like to package spatstat for the Debian GNU Linux distribution.
I stumbled upon it as a new dependency of R surveillance but it might be
interesting in itself for the Debian Science team that has the goal to
support scientists with a decent set of software fully included into
Debian.

When I prepared the packaging I stumbled over the data directory that
contains *.rda files which are in binary format.  Debian does not permit
binary data without source in its official archive and thus I would
kindly like to ask whether there are some human readable sources of
these data files.

When checking your release tarball I can only find hints like:

data/amacrine.rda
--> man/amacrine.Rd

  Hughes' Amacrine Cell Data
  Austin Hughes' data: a point pattern of displaced amacrine cells in
  the retina of a rabbit.  A marked point pattern.

  source:
  Peter Diggle, personal communication

or

data/residualspaper.rda
--> man/residualspaper.Rd says:

  Data and Code From JRSS Discussion Paper on Residuals
  This dataset contains the point patterns used as examples in the paper
  of Baddeley et al (2005).

  source:
  Data kindly supplied by Professor Y. Ogata with kind permission of
  Prof M. Tanemura.

etc.

The "source" is nothing that would qualify as a "license" to distribute
the data with the Debian distribution.

So my question is:  Are there any real sources for these data together
with licenses that define a clear permission for distribution?

If not how important are these data to run spatstat?  We could simply
drop the data files if they are not urgently needed.

Kind regards and thanks for providing spatstat as free software

       Andreas.

-- 
http://fam-tille.de



Changed Bug title to 'ITP: r-cran-spatstat -- GNU R Spatial Point Pattern analysis, model-fitting, simulation, tests' from 'ITP: r-cran-spatstat -- http://www.komoot.de/' Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Sat, 25 May 2013 07:51:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 08:06:08 GMT) Full text and rfc822 format available.

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Thu, 23 Jan 2014 16:03:21 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. (Thu, 23 Jan 2014 16:03:21 GMT) Full text and rfc822 format available.

Message #24 received at 709650-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 709650-close@bugs.debian.org
Subject: Bug#709650: fixed in r-cran-spatstat 1.35-0-1
Date: Thu, 23 Jan 2014 16:00:06 +0000
Source: r-cran-spatstat
Source-Version: 1.35-0-1

We believe that the bug you reported is fixed in the latest version of
r-cran-spatstat, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709650@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated r-cran-spatstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Jan 2014 16:30:53 +0100
Source: r-cran-spatstat
Binary: r-cran-spatstat
Architecture: source amd64
Version: 1.35-0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 r-cran-spatstat - GNU R Spatial Point Pattern analysis, model-fitting, simulation,
Closes: 709650
Changes: 
 r-cran-spatstat (1.35-0-1) unstable; urgency=low
 .
   * Initial release (Closes: #709650).
Checksums-Sha1: 
 78ef7c1992e669bc3de83a003fbf070833e3e922 1543 r-cran-spatstat_1.35-0-1.dsc
 b81c4b4ed0c0e07ae63c86115761cf59f6e1bd17 4682453 r-cran-spatstat_1.35-0.orig.tar.gz
 1b772bad9cd7b712e5bcdde5df91bf6a144e8c48 3740 r-cran-spatstat_1.35-0-1.debian.tar.xz
 e89a9b82946cf732bb08424203e48bbc491ef5d8 10376162 r-cran-spatstat_1.35-0-1_amd64.deb
Checksums-Sha256: 
 0f86ecd25ff15534ef362ed407471482c553a26367812086eb693014ac03ac5e 1543 r-cran-spatstat_1.35-0-1.dsc
 b5a88a5987db95bbc3f900e6de9bf6be2287084f2a7cd2dcdf591a0ff038a73c 4682453 r-cran-spatstat_1.35-0.orig.tar.gz
 ed9b9d40fc4c2ef6729d150bdc4a054bfc11655dda67607b47b9709fb7803d5b 3740 r-cran-spatstat_1.35-0-1.debian.tar.xz
 b0fedb2730793852099ae093810e1ca26669e1b66675d6f6bc2e6dfe9aaa6d3d 10376162 r-cran-spatstat_1.35-0-1_amd64.deb
Files: 
 9cf2656ea0494c3554bae8d856cac393 1543 gnu-r optional r-cran-spatstat_1.35-0-1.dsc
 47dd7b43f8dabbff690248ed4df7d7f3 4682453 gnu-r optional r-cran-spatstat_1.35-0.orig.tar.gz
 07625b2d418a2b2e1c7e96517c8e7423 3740 gnu-r optional r-cran-spatstat_1.35-0-1.debian.tar.xz
 2f954b4a3e88643572d4a63746c7db4c 10376162 gnu-r optional r-cran-spatstat_1.35-0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlLXEJgACgkQYDBbMcCf01oWlQCfWzzMWWEykcrojZlE6+60mFtL
F6wAn2pOjqY7Sbv66a7EFa8eCSVs0W80
=cyFq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Feb 2014 07:30:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:00:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.